//do we need a RESET?
public interface gene { 

/*
returns the number of Cis-sites this gene has for a particular protein
(i.e. the protein number "which" matches and can be docked)
in the Quick implementation this is always 0 or 1
*/
public int getNoOfCisSitesForProt(int which);

/*
This is called one every gene to tell it, what fraction of the global 
concentration of protein "which" binds to every matching cis-site.
(NB: The the number of matching cis-sites on this gene might be 0 to n;
 but every matching site gets "strength" to bind)
*/
public void bindingProtein(int which, double strength);

/*
Currently there is only one output Protein per gene, so for all except this one immediately zero will be returned. For the output protein
activations on all cis-sites are summed (+ if activatory, - if inhibitory) and put through the specific tanh derived output function.
*/
public double getOutputForProtein(int which);

}
 
